SystemOrganization addCategory: #'A4BP-SimEngine-BPMN20'!
SystemOrganization addCategory: 'A4BP-SimEngine-BPMN20-examples'!
SystemOrganization addCategory: 'A4BP-SimEngine-BPMN20-execution'!
SystemOrganization addCategory: 'A4BP-SimEngine-BPMN20-model'!

BPSimAbstractVisitor subclass: #BPSimBPMN20AbstractVisitor
	instanceVariableNames: 'inputScenario outputScenario inputParameters outputParameters'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-SimEngine-BPMN20-model'!

!BPSimBPMN20AbstractVisitor methodsFor: 'config' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 11:16'!
configInputScenario: aInputScenario andOutPutScenario: aOutPutScenario
	inputScenario := aInputScenario.
	outputScenario := aOutPutScenario ! !

!BPSimBPMN20AbstractVisitor methodsFor: 'config' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:57'!
findParameters: aModel
	inputParameters := inputScenario getParameterAt: aModel.
	outputParameters := outputScenario getParameterAt: aModel.! !

!BPSimBPMN20AbstractVisitor methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 17:37'!
outputScenario
 ^ outputScenario ! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ActivityImpl: aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20AdHocSubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ArtifactImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20AssignmentImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20AssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20AuditingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BPMNDiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BPMNEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BPMNLabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BPMNLabelStyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BPMNPlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BPMNShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BaseElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BoundaryEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20Bpmn2FactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20Bpmn2PackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BpmnDiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BpmnDiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20BusinessRuleTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CallActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CallChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CallConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CallableElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CancelEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CategoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CategoryValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ChoreographyActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ChoreographyTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CollaborationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CompensateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ComplexBehaviorDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ComplexGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ConditionalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ConversationAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ConversationLinkImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ConversationNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CorrelationKeyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CorrelationPropertyBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CorrelationPropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20CorrelationSubscriptionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataInputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataInputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataObjectImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataObjectReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataOutputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataOutputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataStateImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataStoreImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DataStoreReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DefinitionsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DiagramElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DocumentRootImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20DocumentationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EndEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EndPointImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ErrorEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ErrorImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EscalationEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EscalationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EventBasedGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20EventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExtensionAttributeDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExtensionAttributeValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExtensionDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExtensionElementsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ExtensionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20FlowElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20FlowElementsContainerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20FlowNodeImpl: aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20FormalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalBusinessRuleTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalChoreographyTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalManualTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalScriptTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GlobalUserTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20GroupImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20HumanPerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ImplicitThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ImportImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20InclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20IncomingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20InputOutputBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20InputOutputSpecificationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20InputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20InteractionNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20InterfaceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20IntermediateCatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20IntermediateThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ItemAwareElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ItemDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LabeledEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LabeledShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LaneSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LinkEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20LoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ManualTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20MessageEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20MessageFlowAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20MessageFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20MessageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20MonitoringImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20NodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20Object: aModel
	"do nothing"! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20OperationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20OutgoingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20OutputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ParallelGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ParticipantAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ParticipantImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ParticipantMultiplicityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20PartnerEntityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20PartnerRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20PerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20PlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20PotentialOwnerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ProcessImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20PropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ReceiveTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20RefToBeBuild:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20RelationshipImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20RenderingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ResourceAssignmentExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ResourceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ResourceParameterBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ResourceParameterImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ResourceRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20RootElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ScriptTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SendTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SequenceFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ServiceTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SignalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SignalImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SourceRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20StandardLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20StartEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20StyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SubChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SubConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20SubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20TargetRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:25'!
visitBPMN20TaskImpl: aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20TerminateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20TextAnnotationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20ThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20TimerEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20TransactionImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20AbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 09:15'!
visitBPMN20UserTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

BPSimBPMN20AbstractVisitor subclass: #BPSimBPMN20ProcessValidationVisitor
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-SimEngine-BPMN20-model'!

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 14:42'!
count
	^ count! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 14:45'!
initialize
	super initialize.
	count := 0! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20AdHocSubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ArtifactImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20AssignmentImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20AssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20AuditingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BPMNDiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BPMNEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BPMNLabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BPMNLabelStyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BPMNPlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BPMNShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BaseElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20BoundaryEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20Bpmn2FactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20Bpmn2PackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BpmnDiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20BpmnDiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20BusinessRuleTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20CallActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20CallChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CallConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CallableElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CancelEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20CatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CategoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CategoryValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ChoreographyActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ChoreographyTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CollaborationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CompensateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ComplexBehaviorDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ComplexGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ConditionalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ConversationAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ConversationLinkImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ConversationNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CorrelationKeyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CorrelationPropertyBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CorrelationPropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20CorrelationSubscriptionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataInputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataInputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataObjectImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataObjectReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataOutputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataOutputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataStateImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataStoreImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DataStoreReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DefinitionsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DiagramElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DocumentRootImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20DocumentationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20EdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20EndEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20EndPointImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ErrorEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ErrorImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20EscalationEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20EscalationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20EventBasedGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20EventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20EventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ExclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ExtensionAttributeDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ExtensionAttributeValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ExtensionDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ExtensionElementsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ExtensionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20FlowElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20FlowElementsContainerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20FlowNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20FormalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20GatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalBusinessRuleTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalChoreographyTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalManualTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalScriptTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GlobalUserTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20GroupImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20HumanPerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ImplicitThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ImportImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20InclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20IncomingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20InputOutputBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20InputOutputSpecificationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20InputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20InteractionNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20InterfaceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20IntermediateCatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20IntermediateThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ItemAwareElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ItemDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LabeledEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LabeledShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LaneSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LinkEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20LoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ManualTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20MessageEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20MessageFlowAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20MessageFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20MessageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20MonitoringImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20NodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 10:53'!
visitBPMN20Object: aModel
	
	| inputControlParameters outputControlParameters|
	
	self findParameters: aModel.
	inputControlParameters := inputParameters controlParameters.
	outputControlParameters := inputParameters controlParameters.
	
	outputControlParameters increaseCount.
	
	^ count := count + 1! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20OperationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20OutgoingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20OutputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ParallelGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ParticipantAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ParticipantImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ParticipantMultiplicityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20PartnerEntityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20PartnerRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20PerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20PlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20PotentialOwnerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 10:19'!
visitBPMN20ProcessImpl:aModel 
	"do nothing because count the control around the actions, please don't remove the code"! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20PropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ReceiveTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20RefToBeBuild:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20RelationshipImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20RenderingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ResourceAssignmentExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ResourceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ResourceParameterBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ResourceParameterImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ResourceRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20RootElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ScriptTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20SendTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20SequenceFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ServiceTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20ShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20SignalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20SignalImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20SourceRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20StandardLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20StartEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20StyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20SubChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20SubConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20SubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20TargetRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20TaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20TerminateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20TextAnnotationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:43'!
visitBPMN20TimerEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20TransactionImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ProcessValidationVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20UserTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

BPSimBPMN20AbstractVisitor subclass: #BPSimBPMN20TimeVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-SimEngine-BPMN20-model'!

!BPSimBPMN20TimeVisitor methodsFor: 'metrics' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 16:45'!
processTime
	|time|
	time := 0.
	outputScenario elementParameters do:[ :p |
		time := time + ( p timeParameters processingTime value asInteger ) ].
	^ time! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:38'!
visitBPMN20ActivityImpl: aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20AdHocSubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ArtifactImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20AssignmentImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20AssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20AuditingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BPMNDiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BPMNEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BPMNLabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BPMNLabelStyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BPMNPlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BPMNShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BaseElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20BoundaryEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20Bpmn2FactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20Bpmn2PackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BpmnDiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20BpmnDiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20BusinessRuleTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20CallActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20CallChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CallConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CallableElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CancelEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20CatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CategoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CategoryValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ChoreographyActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ChoreographyTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CollaborationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CompensateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ComplexBehaviorDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ComplexGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ConditionalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ConversationAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ConversationLinkImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ConversationNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CorrelationKeyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CorrelationPropertyBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CorrelationPropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20CorrelationSubscriptionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataInputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataInputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataObjectImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataObjectReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataOutputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataOutputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataStateImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataStoreImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DataStoreReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DefinitionsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DiagramElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DocumentRootImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20DocumentationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20EdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20EndEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20EndPointImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ErrorEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ErrorImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20EscalationEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20EscalationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20EventBasedGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20EventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20EventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ExclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ExtensionAttributeDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ExtensionAttributeValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ExtensionDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ExtensionElementsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ExtensionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20FlowElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20FlowElementsContainerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:38'!
visitBPMN20FlowNodeImpl: aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20FormalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20GatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalBusinessRuleTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalChoreographyTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalManualTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalScriptTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GlobalUserTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20GroupImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20HumanPerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ImplicitThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ImportImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20InclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20IncomingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20InputOutputBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20InputOutputSpecificationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20InputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20InteractionNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20InterfaceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20IntermediateCatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20IntermediateThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ItemAwareElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ItemDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LabeledEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LabeledShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LaneSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LinkEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20LoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20ManualTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20MessageEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20MessageFlowAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20MessageFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20MessageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20MonitoringImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20NodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:37'!
visitBPMN20Object: aModel
	"do nothing"! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20OperationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20OutgoingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20OutputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ParallelGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ParticipantAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ParticipantImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ParticipantMultiplicityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20PartnerEntityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20PartnerRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20PerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20PlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20PotentialOwnerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ProcessImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20PropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20ReceiveTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20RefToBeBuild:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20RelationshipImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20RenderingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ResourceAssignmentExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ResourceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ResourceParameterBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ResourceParameterImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ResourceRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20RootElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20ScriptTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20SendTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20SequenceFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20ServiceTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20ShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20SignalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20SignalImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20SourceRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20StandardLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20StartEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20StyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20SubChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20SubConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20SubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20TargetRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 10:18'!
visitBPMN20TaskImpl: aModel 
	| time |
	self findParameters: aModel.
	time := inputParameters timeParameters processingTime value.
	outputParameters timeParameters processingTime value: time.! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20TerminateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20TextAnnotationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20ThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:46'!
visitBPMN20TimerEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:34'!
visitBPMN20TransactionImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20TimeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:29'!
visitBPMN20UserTaskImpl: aModel 
	^ self visitBPMN20TaskImpl: aModel! !

BPSimExecutionVisitor subclass: #BPSimBPMN20ExecutionVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-SimEngine-BPMN20-execution'!

!BPSimBPMN20ExecutionVisitor methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:33'!
initialize
	super initialize.
	grabbers := OrderedCollection new.! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/11/2015 08:51'!
visitA4BPEmptyObj: aModel
	"comment stating purpose of message"
! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20AdHocSubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ArtifactImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20AssignmentImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20AssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20AuditingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNDiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNLabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNLabelStyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNPlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BaseElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20BoundaryEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20Bpmn2FactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20Bpmn2PackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BpmnDiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BpmnDiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20BusinessRuleTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20CallActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20CallChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CallConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CallableElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CancelEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20CatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CategoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CategoryValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ChoreographyActivityImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ChoreographyTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CollaborationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CompensateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ComplexBehaviorDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ComplexGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConditionalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationLinkImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationKeyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationPropertyBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationPropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationSubscriptionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataInputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataInputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataObjectImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataObjectReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataOutputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataOutputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataStateImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataStoreImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataStoreReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DefinitionsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiagramElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DocumentRootImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DocumentationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20EdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20EndEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20EndPointImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ErrorEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ErrorImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20EscalationEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20EscalationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20EventBasedGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20EventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20EventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ExclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionAttributeDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionAttributeValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionElementsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FlowElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FlowElementsContainerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 09:27'!
visitBPMN20FlowNodeImpl: aModel 
	"visitBPMN20Object execute process in all grabbers configured "
	self visitBPMN20Object: aModel.
	aModel outgoings do: [ :e | e accept: self ]! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FormalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20GatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalBusinessRuleTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalChoreographyTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalManualTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalScriptTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GlobalUserTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GroupImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20HumanPerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ImplicitThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ImportImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20InclusiveGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20IncomingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InputOutputBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InputOutputSpecificationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InteractionNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InterfaceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20IntermediateCatchEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20IntermediateThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ItemAwareElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ItemDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LabeledEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LabeledShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LaneSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LinkEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ManualTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MessageEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MessageFlowAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MessageFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MessageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MonitoringImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20NodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:36'!
visitBPMN20Object: aModel
	grabbers do: [ :g | aModel accept: g ]! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20OperationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20OutgoingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20OutputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ParallelGatewayImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ParticipantAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ParticipantImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ParticipantMultiplicityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20PartnerEntityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20PartnerRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20PerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20PlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20PotentialOwnerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitorImpl' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:50'!
visitBPMN20ProcessImpl: aModel
	"find start event activity"
	| eStart |
	self visitBPMN20Object: aModel.
	eStart := aModel startEvent.
	eStart accept: self.
	! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20PropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ReceiveTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RefToBeBuild:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RelationshipImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RenderingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceAssignmentExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceParameterBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceParameterImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RootElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ScriptTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20SendTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 15:19'!
visitBPMN20SequenceFlowImpl:aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ServiceTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20SignalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20SignalImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20SourceRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20StandardLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20StartEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20StyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20SubChoreographyImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20SubConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20SubProcessImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20TargetRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20TaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20TerminateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20TextAnnotationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20ThrowEventImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20TimerEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20TransactionImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

!BPSimBPMN20ExecutionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 16:47'!
visitBPMN20UserTaskImpl: aModel 
	^ self visitBPMN20FlowNodeImpl: aModel! !

BPSimEngineProcess subclass: #BPSimBPMN20EngineProcess
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-SimEngine-BPMN20-execution'!

!BPSimBPMN20EngineProcess methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 18:33'!
runSimulation
	| execution |
	execution := BPSimBPMN20ExecutionVisitor new.
	self addExecution: execution.
	! !

!BPSimBPMN20EngineProcess methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 20:30'!
runTimerSimulation
	| execution grabber|
	execution := BPSimBPMN20ExecutionVisitor new.
	grabber := BPSimBPMN20TimeVisitor new.
	self addExecution: execution.
	
	execution addGrabber: grabber.
	execution addInputScenario: bpSimModel inputScenario.
	execution addOutputScenario: self createNewOutputScenario.
	execution addMetamodel: processModel.
	
	[execution startSimulation ] fork.! !

!BPSimBPMN20EngineProcess methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/12/2015 18:51'!
runTimerSimulations: iterations
	(1 to: iterations) do: [ :i | self runSimulation ]! !

Object subclass: #BPSimBPMN20RTExamples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-SimEngine-BPMN20-examples'!

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01
	|execution grabber parser inputScenario simb bpmnMetamodel|
	
	parser := BPMN20Parser parseString: BPMN20SampleTsunamiResonponse tsunamiv3.
	bpmnMetamodel := (parser definitions first process select:
	[:p | p aName = 'Réponse tsunami au VN']) values first.
	
	execution := BPSimBPMN20ExecutionVisitor new.
	grabber := BPSimBPMN20TimeVisitor new.
	
	simb := BPSimBuilder new.
	simb buildScenarioId: 'tsunamiInputScenario'.
	
	(bpmnMetamodel activities select: [ :a | a class = BPMN20TaskImpl  ]) 
		collect:[ :t | 
			"add for all task 10 minutes"
			simb addTimeParameterAt: t put: 100 random.
			].
		
	inputScenario := simb bpsimScenario.
	
	execution addGrabber: grabber.
	execution addInputScenario: inputScenario.
	execution addOutputScenario: BPSimScenario new.
	execution addMetamodel: bpmnMetamodel.
	execution startSimulation.
	
	^ grabber
! !

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01Visualization01: grabber
	"self new example01Visualization01Do"
	| v nodes cv edges edgesnodes process|
	v := RTMondrian new.
	v interaction
		popupText: [ :p | p aName];
		item:'inspect' action: [ :p | p inspect].
		
	cv := A4BPUIBVFactory colorVisitor.
	nodes := grabber outputScenario elementParameters copy.
	edgesnodes := RTGroup new.
	
	process := nodes first elementRef parent.
	process allGateways do: [ :p | 
			|ep|
			ep := BPSimElementParameters new.
			ep elementRef: p.
			ep timeParameters: BPSimTimeParameters new.
			ep timeParameters processingTime: BPSimDurationParameter new.
			ep timeParameters processingTime value: 1.
			nodes add:ep. 
			].
	
	
	v shape circle.
	v nodes: nodes forEach:[ :p |
		|node|
		v shape label text:#aName.
		node := v node: p elementRef.
		edgesnodes add: node.
		].

	edges := RTEdgeBuilder new 
		elements: edgesnodes;
		view: v view.
		
	edges connectToAll:[ :p | |lst|
		lst := OrderedCollection new.
		p flows do:[:e| lst addAll: e flows].
		lst].	
	
	v layout circle.
	v open! !

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01Visualization01Do
	self example01Visualization01: self example01! !

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01Visualization02: grabber
	"self new example01Visualization02Do"
	| v nodes cv edges edgesnodes process|
	v := RTMondrian new.
	v interaction
		popupText: [ :p | p aName];
		item:'inspect' action: [ :p | p inspect].
		
	cv := A4BPUIBVFactory colorVisitor.
	nodes := grabber outputScenario elementParameters copy.
	edgesnodes := RTGroup new.
	
	process := nodes first elementRef parent.
	process allGateways do: [ :p | 
			|ep|
			ep := BPSimElementParameters new.
			ep elementRef: p.
			ep timeParameters: BPSimTimeParameters new.
			ep timeParameters processingTime: BPSimDurationParameter new.
			ep timeParameters processingTime value: 1.
			nodes add:ep. 
			].
	
	
	v nodes: nodes forEach:[ :p |
		|node|
		v shape circle size: p timeParameters processingTime value asInteger;color:[:n|n accept:cv].
		node := v node: p elementRef.
		edgesnodes add: node.
		].

	edges := RTEdgeBuilder new 
		elements: edgesnodes;
		view: v view.
		
	edges connectToAll:[ :p | |lst|
		lst := OrderedCollection new.
		p flows do:[:e| lst addAll: e flows].
		lst].	
	
	v layout grid.
	v open! !

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01Visualization02Do
	self example01Visualization02: self example01! !

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01Visualization: grabber
	"self new example01VisualizationDo"
	| v nodes process  cv edges edgesnodes|
	v := RTMondrian new.
	v interaction
		popupText: [ :p | p aName];
		item:'inspect' action: [ :p | p inspect].
		
	cv := A4BPUIBVFactory colorVisitor.
	nodes := grabber outputScenario elementParameters copy.
	edgesnodes := RTGroup new.
	
	process := grabber outputScenario elementParameters first elementRef parent.
	process allSequenceFlows do: [ :p | 
			|ep |
			ep := BPSimElementParameters new.
			ep elementRef: p.
			ep timeParameters: BPSimTimeParameters new.
			ep timeParameters processingTime: BPSimDurationParameter new.
			ep timeParameters processingTime value: 1.
			nodes add:ep. 
			].
		
	v shape circle.
	v nodes: nodes forEach:[ :p |
		|node|
		v shape circle size: p timeParameters processingTime value asInteger;color:[:n|n accept:cv].
		node := v node: p elementRef.
		edgesnodes add: node.
		].

	edges := RTEdgeBuilder new 
		elements: edgesnodes;
		view: v view.
		
	edges connectToAll:[ :p | 
		p outFlows].	
		
	v layout tree.
	v open! !

!BPSimBPMN20RTExamples class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:04'!
example01VisualizationDo
	self example01Visualization: self example01! !
